# mergetb::tbui
# ------
#
# This deployment contains the mergetb web interface. 
#

kind: Service
apiVersion: v1
metadata:
  name: tbui
spec:
  selector:
    app: portal
    component: tbui
  ports:
  - protocol: "TCP"
    port: 443
    targetPort: 443
  externalIPs:
  - 10.100.0.40
  - 10.100.0.41
  - 10.100.0.42
---
apiVersion: apps/v1beta1
kind: Deployment
metadata:
  name: tbui
spec:
  replicas: 1
  template:
    metadata:
      labels:
        app: portal
        tier: "1"
        component: tbui
        track: master
    spec:
      affinity:
        nodeAffinity:
          preferredDuringSchedulingIgnoredDuringExecution:
            - weight: 1
              preference:
                matchExpressions:
                  - key: role
                    operator: NotIn
                    values:
                    - storage-node
            - weight: 1
              preference:
                matchExpressions:
                  - key: role
                    operator: In
                    values:
                    - merge-svc-node
      containers:
        - name: tbui
          image: "quay.io/mergetb/tbui:latest"
          imagePullPolicy: Always
          ports:
            - name: https
              containerPort: 443
          volumeMounts:
            - name: launch-cert-volume
              mountPath: /certs
      volumes:
        - name: launch-cert-volume
          configMap:
            name: merge-launch-cert
